<template>
  <div :style="{ display: 'inline-block', width: size + 'px' }">
    <svg :is="type" :stroke="stroke" :fill="fill" />
  </div>
</template>
<script>
// import Logo from '@/assets/images/logo.svg?inline'
import GitLab from '@/assets/images/gitlab-icon-rgb.svg?inline'
export default {
  components: {
    // Logo,
    GitLab,
  },
  props: {
    type: {
      type: String,
      required: true,
    },
    stroke: {
      type: String,
      default: 'none',
    },
    fill: {
      type: String,
      default: '#333',
    },
    size: {
      type: Number,
      default: 48,
    },
  },
}
</script>
